part of cresce_ui;

class CBalanceGrid extends StatelessWidget {
  final int columnCount;
  final List<CBalanceGridItem> items;

  const CBalanceGrid({
    Key? key,
    required this.columnCount,
    required this.items,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ListView(
      children: _makeRows(),
    );
  }

  List<Widget> _makeRows() {
    List<Widget> rows = [];
    List<Widget> rowItem = [];
    for (int i = 0; i < items.length; ++i) {
      rowItem.add(Padding(
        padding: const EdgeInsets.all(10.0),
        child: CThumbnailBalance(
          title: items[i].title,
          balance: items[i].balance,
          onTap: items[i].onTap,
          key: items[i].key,
          image: items[i].image,
        ),
      ));

      if (rowItem.length == columnCount) {
        rows.add(Row(children: rowItem));
        rows.add(const SizedBox(height: 10.0));
        rowItem = [];
      }
    }
    if (rowItem.isNotEmpty) {
      rows.add(Row(children: rowItem));
      rows.add(const SizedBox(height: 10.0));
    }

    return rows;
  }
}

class CBalanceGridItem {
  final String title;
  final String balance;
  final Uint8List? image;
  final VoidCallback? onTap;
  final Key? key;

  const CBalanceGridItem({
    required this.title,
    this.image,
    required this.balance,
    this.onTap,
    this.key,
  });
}
