part of cresce_ui;

class CModalHeader extends StatelessWidget {
  final Uint8List? image;
  final String title;
  final String subTitle;
  final Size size;

  const CModalHeader({
    Key? key,
    this.image,
    required this.title,
    required this.subTitle,
    this.size = const Size(292, 86),
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return CSmallModal(
      size: size,
      gradient: LinearGradient(
        begin: const Alignment(0.0, -1.0),
        end: const Alignment(0.0, 1.0),
        colors: [CColors.primary, CColors.primaryVar2],
        stops: const [0.0, 1.0],
      ),
      child: Padding(
        padding: const EdgeInsets.all(12.0),
        child: Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            Column(
              children: [
                SizedBox(
                  width: size.width - 100,
                  child: CText(label: title, style: CTextStyles.titleSecondary),
                ),
                SizedBox(
                  width: size.width - 100,
                  child: CText(
                    label: subTitle,
                    style: CTextStyles.subtitleSecondary,
                  ),
                ),
              ],
            ),
            CCircle(size: const Size(64, 64), image: image),
          ],
        ),
      ),
    );
  }
}
