part of cresce_ui;

class CRoundButton extends StatefulWidget {
  final String label;
  final VoidCallback? onTap;
  final CButtonStyle style;

  const CRoundButton({
    Key? key,
    this.onTap,
    required this.label,
    this.style = const CPrimaryStyle(),
  }) : super(key: key);

  @override
  State<CRoundButton> createState() => _CRoundButtonState();
}

class _CRoundButtonState extends State<CRoundButton> {
  late ButtonState _state;

  @override
  void initState() {
    super.initState();
    _state = widget.style.getDefaultState();
  }

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTapDown: (_) {
        setState(() => _state = widget.style.getTappedState());
      },
      onTapUp: (_) {
        setState(() => _state = widget.style.getDefaultState());
        widget.onTap?.call();
      },
      child: AnimatedContainer(
        curve: _state.curve,
        width: 70.0,
        height: 70.0,
        decoration: BoxDecoration(
          color: _state.backgroundColor,
          borderRadius:
              const BorderRadius.all(Radius.elliptical(9999.0, 9999.0)),
          border: Border.all(width: 1.0, color: _state.borderColor),
          boxShadow: const [CBoxShadow()],
        ),
        duration: _state.animationDuration,
        child: Center(child: Text(widget.label, style: _state.labelStyle)),
      ),
    );
  }
}
