part of cresce_ui;

class CColors {
  static Color primary = const Color(0xFF4CBAAC);
  static Color primaryVar1 = const Color(0x204CBAAC);
  static Color primaryVar2 = const Color(0xff1f7267);
  static Color secondary = Colors.white;
  static Color secondaryVar1 = const Color(0xFF676767);
  static Color secondaryVar2 = const Color(0xFFD3D3D3);
  static Color alert = const Color(0xffe9443e);
}

class CBoxDecoration extends BoxDecoration {
  CBoxDecoration({
    required double radius,
    Gradient? gradient,
    Color? color,
  }) : super(
          gradient: gradient,
          color: color,
          borderRadius: BorderRadius.circular(radius),
          boxShadow: const [CBoxShadow()],
        );
}

class CBoxShadow extends BoxShadow {
  const CBoxShadow()
      : super(
          color: const Color(0x29000000),
          offset: const Offset(0, 3),
          blurRadius: 6,
        );
}

class CTextStyles {
  static TextStyle fieldPrimary = TextStyle(
    fontFamily: 'Roboto',
    fontWeight: FontWeight.normal,
    fontSize: 16.0,
    color: CColors.primary,
    decoration: TextDecoration.none,
  );
  static TextStyle subtitleSecondary = TextStyle(
    fontFamily: 'Roboto',
    fontWeight: FontWeight.normal,
    fontSize: 18.0,
    color: CColors.secondary,
    decoration: TextDecoration.none,
  );
  static TextStyle titleSecondary = TextStyle(
    fontFamily: 'Roboto',
    fontWeight: FontWeight.normal,
    fontSize: 29.0,
    color: CColors.secondary,
    decoration: TextDecoration.none,
  );
  static TextStyle labelPrimary = TextStyle(
    fontFamily: 'Roboto',
    fontWeight: FontWeight.normal,
    fontSize: 12.0,
    color: CColors.primary,
    decoration: TextDecoration.none,
  );
  static TextStyle captionPrimary = TextStyle(
    fontFamily: 'Roboto',
    fontWeight: FontWeight.normal,
    fontSize: 20.0,
    color: CColors.primary,
    decoration: TextDecoration.none,
  );
  static TextStyle captionSecondary = TextStyle(
    fontFamily: 'Roboto',
    fontWeight: FontWeight.normal,
    fontSize: 20.0,
    color: CColors.secondary,
    decoration: TextDecoration.none,
  );
  static TextStyle fieldSecondaryVar1 = TextStyle(
    fontFamily: 'Roboto',
    fontWeight: FontWeight.normal,
    fontSize: 14.0,
    color: CColors.secondaryVar1,
    decoration: TextDecoration.none,
  );
  static TextStyle fieldSecondaryVar2 = TextStyle(
    fontFamily: 'Roboto',
    fontWeight: FontWeight.normal,
    fontSize: 16.0,
    color: CColors.secondaryVar2,
    decoration: TextDecoration.none,
  );
  static TextStyle fieldSecondary = TextStyle(
    fontFamily: 'Roboto',
    fontWeight: FontWeight.normal,
    fontSize: 16.0,
    color: CColors.secondary,
    decoration: TextDecoration.none,
  );
  static TextStyle titlePrimary = TextStyle(
    fontFamily: 'Roboto',
    fontWeight: FontWeight.normal,
    fontSize: 35.0,
    color: CColors.primary,
    decoration: TextDecoration.none,
  );
  static TextStyle captionSecondaryVar1 = TextStyle(
    fontFamily: 'Roboto',
    fontWeight: FontWeight.normal,
    fontSize: 20.0,
    color: CColors.secondaryVar2,
    decoration: TextDecoration.none,
  );
  static TextStyle fieldAlert = TextStyle(
    fontFamily: 'Roboto',
    fontWeight: FontWeight.normal,
    fontSize: 16.0,
    color: CColors.alert,
    decoration: TextDecoration.none,
  );
  static TextStyle labelAlert = TextStyle(
    fontFamily: 'Roboto',
    fontWeight: FontWeight.normal,
    fontSize: 12.0,
    color: CColors.alert,
    decoration: TextDecoration.none,
  );
  static TextStyle labelSecondaryVar1 = TextStyle(
    fontFamily: 'Roboto',
    fontWeight: FontWeight.normal,
    fontSize: 12.0,
    color: CColors.secondaryVar1,
    decoration: TextDecoration.none,
  );
  static TextStyle labelSecondary = TextStyle(
    fontFamily: 'Roboto',
    fontWeight: FontWeight.normal,
    fontSize: 12.0,
    color: CColors.secondary,
    decoration: TextDecoration.none,
  );
}
