part of cresce_ui;

class CThumbnailCarousel extends StatelessWidget {
  final List<CCarouselItem> items;

  const CThumbnailCarousel({Key? key, required this.items}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: 243.0,
      child: ListView(
        shrinkWrap: true,
        clipBehavior: Clip.none,
        scrollDirection: Axis.horizontal,
        children: items
            .map((item) => Padding(
                  padding: const EdgeInsets.symmetric(horizontal: 10.0),
                  child: CThumbnail(
                    key: item.key,
                    title: item.title,
                    subTitle: item.subTitle,
                    image: item.image,
                    onTap: item.onTap,
                  ),
                ))
            .toList(),
      ),
    );
  }
}

class CCarouselItem {
  final String title;
  final String? subTitle;
  final Uint8List? image;
  final VoidCallback? onTap;
  final Key? key;

  CCarouselItem({
    required this.title,
    this.subTitle,
    this.image,
    this.onTap,
    this.key,
  });
}
